package com.qmth.teachcloud.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.teachcloud.common.bean.dto.mark.setting.MarkSettingDto;
import com.qmth.teachcloud.common.entity.MarkPaper;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 考试科目表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkPaperService extends IService<MarkPaper> {

    IPage<MarkSettingDto> listPaperSetting(Long examId, String courseCode, String paperNumber, Boolean groupStatus, Integer pageNumber, Integer pageSize);

    MarkPaper getByExamIdAndPaperNumber(Long examId, String paperNumber);

    void savePaperSetting(MarkPaper markPaper);
}
