package com.qmth.teachcloud.mark.mapper;

import com.qmth.teachcloud.common.bean.dto.mark.setting.MarkUser;
import com.qmth.teachcloud.mark.entity.MarkUserClass;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 * 评卷员班级 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkUserClassMapper extends BaseMapper<MarkUserClass> {

    List<MarkUser> listClassMarkerByExamIdAndPaperNumberAndGroupNumberAndClassName(Long examId, String paperNumber, Integer groupNumber, String className);
}
