package com.qmth.teachcloud.mark.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.teachcloud.common.bean.dto.mark.entrance.MarkEntranceDto;
import com.qmth.teachcloud.common.bean.dto.mark.setting.MarkUser;
import com.qmth.teachcloud.mark.entity.MarkUserGroup;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 评卷员表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkUserGroupService extends IService<MarkUserGroup> {

    IPage<MarkEntranceDto> listEntranceGroup(Long examId, String courseCode, String paperNumber, Integer pageNumber, Integer pageSize);

    List<MarkUser> listGroupUserByExamIdAndPaperNumberAndGroupNumber(Long examId, String paperNumber, Integer number);
}
